Apply bot template
curl --request POST \
--url https://api.helloannie.com/v1/bots/{botId}/templates/{templateId} \
--header 'Content-Type: application/json' \
--data '
{
"variables": {
"office_name": "Happy Dental",
"phone_number": {
"value": "+15551234567",
"createOrgVariable": true
},
"office_address": {
"existingOrgVariableId": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
}
}
}
'import requests
url = "https://api.helloannie.com/v1/bots/{botId}/templates/{templateId}"
payload = { "variables": {
"office_name": "Happy Dental",
"phone_number": {
"value": "+15551234567",
"createOrgVariable": True
},
"office_address": { "existingOrgVariableId": "a1b2c3d4-e5f6-7890-abcd-ef1234567890" }
} }
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
variables: {
office_name: 'Happy Dental',
phone_number: {value: '+15551234567', createOrgVariable: true},
office_address: {existingOrgVariableId: 'a1b2c3d4-e5f6-7890-abcd-ef1234567890'}
}
})
};
fetch('https://api.helloannie.com/v1/bots/{botId}/templates/{templateId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"applicationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workflowId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workflow": "<unknown>"
}
}{
"success": false,
"data": {},
"message": "<string>"
}{
"success": false,
"data": {},
"message": "<string>"
}{
"success": false,
"data": {},
"message": "<string>"
}{
"success": false,
"data": {},
"message": "<string>"
}Templates
Apply bot template
Apply a workflow template to a bot by providing values for all required variables. If the template has already been applied to this bot, the existing workflow will be replaced.
POST
/
bots
/
{botId}
/
templates
/
{templateId}
Apply bot template
Path Parameters
The ID of the bot to apply the template to
The ID of the template to apply
Body
application/jsonapplication/x-www-form-urlencodedmultipart/form-data
Request body for applying a template to the bot in the path
Variable values keyed by variable name. Each value can be a plain string (inline substitution) or an options object.
Show child attributes
Show child attributes
Example:
{
"office_name": "Happy Dental",
"phone_number": {
"value": "+15551234567",
"createOrgVariable": true
},
"office_address": {
"existingOrgVariableId": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
}
}⌘I